---
search:
  tags:
    - Relations
    - POST
seo:
  description: >-
    Create a new relation type that defines how products… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/relations/types endpoint in the Management
    API.
sidebar:
  label: Create a relation type
  badge: POST
title: Create a relation type
type: openapi-operation
---
Create a new relation type that defines how products can be related to each other

`POST /api/v1/{team_slug}/{app_slug}/relations/types`

**Request body** (`application/json`, required)

Relation type data

- `title` (string)
- `type` (string)

Request body example:

```json
{
  "title": "string",
  "type": "string"
}
```

**Responses**

- `200` — Relation type created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "title": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
